Subject: [Sdn] FW: I-D Action: draft-farrkingel-pce-abno-architecture-07.txt

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 13 Feb 2014 12:10:20 -0000

Hi SDNRG,

You may recall Dan presenting this document at an SDNRG meeting. If shows how a
number of IETF components can be bundled together to provide application-based
network operation. We think the draft is almost ready to be published as an RFC
so we are calling for review and input.

Comments on the list or direct to the authors at
[email-masked]

Thanks!

Adrian

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 13 February 2014 11:50
> To: [email-masked]
> Subject: I-D Action: draft-farrkingel-pce-abno-architecture-07.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
>         Title           : A PCE-based Architecture for Application-based
Network
> Operations
>         Authors         : Daniel King
>                           Adrian Farrel
> 	Filename        : draft-farrkingel-pce-abno-architecture-07.txt
> 	Pages           : 62
> 	Date            : 2014-02-13
> 
> Abstract:
>    Services such as content distribution, distributed databases, or
>    inter-data center connectivity place a set of new requirements on the
>    operation of networks.  They need on-demand and application-specific
>    reservation of network connectivity, reliability, and resources (such
>    as bandwidth) in a variety of network applications (such as point-to-
>    point connectivity, network virtualization, or mobile back-haul) and
>    in a range of network technologies from packet (IP/MPLS) down to
>    optical.  An environment that operates to meet this type of
>    requirement is said to have Application-Based Network Operations
>    (ABNO).
> 
>    ABNO brings together many existing technologies for gathering
>    information about the resources available in a network, for
>    consideration of topologies and how those topologies map to
>    underlying network resources, for requesting path computation, and
>    for provisioning or reserving network resources.  Thus, ABNO may be
>    seen as the use of a toolbox of existing components enhanced with a
>    few new elements.  The key component within an ABNO is the Path
>    Computation Element (PCE), which can be used for computing paths and
>    is further extended to provide policy enforcement capabilities for
>    ABNO.
> 
>    This document describes an architecture and framework for ABNO
>    showing how these components fit together.  It provides a cookbook of
>    existing technologies to satisfy the architecture and meet the needs
>    of the applications.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-farrkingel-pce-abno-architecture/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-farrkingel-pce-abno-architecture-07
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-farrkingel-pce-abno-architecture-07